#!/bin/sh
#
# $Id: conv.sh 6940 2010-10-04 22:58:39Z NiLuJe $
#

# Switch fonts in the settings (UI/Reader & Browser)
# Caecillia => Serif
# Helvetica => Sans_Serif
# KindleBlackbox => Mono
# code200 => I18N
# HeiSeiMaruGoth213_E (J) => CJK
# HangulGothMTC_E (K) => CJK
# MHeiM-Big5HKSCS_E (Ct) => CJK
# MHeiM18030_E (Cs) => CJK
for file in font.properties-2 font.properties-3 netfront.ini ; do
	# Our file is actually in another folder
	file="../etc/${file}"
	# Backup!
	cp ${file} ${file}.orig

	# Sed!
	sed -e "s/Caecilia_LT_65_Medium\.ttf/Serif_Regular\.ttf/g" -i ${file}
	sed -e "s/Caecilia_LT_75_Bold\.ttf/Serif_Bold\.ttf/g" -i ${file}
	sed -e "s/Caecilia_LT_66_Medium_Italic\.ttf/Serif_Italic\.ttf/g" -i ${file}
	sed -e "s/Caecilia_LT_76_Bold_Italic\.ttf/Serif_BoldItalic\.ttf/g" -i ${file}
	sed -e "s/Helvetica_LT_65_Medium\.ttf/Sans_Regular\.ttf/g" -i ${file}
	sed -e "s/Helvetica_LT_75_Bold\.ttf/Sans_Bold\.ttf/g" -i ${file}
	sed -e "s/Helvetica_LT_66_Medium_Italic\.ttf/Sans_Italic\.ttf/g" -i ${file}
	sed -e "s/Helvetica_LT_76_Bold_Italic\.ttf/Sans_BoldItalic\.ttf/g" -i ${file}
	sed -e "s/KindleBlackboxRegular\.ttf/Mono_Regular\.ttf/g" -i ${file}
	sed -e "s/KindleBlackboxBold\.ttf/Mono_Bold\.ttf/g" -i ${file}
	sed -e "s/KindleBlackboxItalic\.ttf/Mono_Italic\.ttf/g" -i ${file}
	sed -e "s/KindleBlackboxBoldItalic\.ttf/Mono_BoldItalic\.ttf/g" -i ${file}
	# FW 3.x
	sed -e "s/code2000\.ttf/I18N\.ttf/g" -i ${file}
	sed -e "s/HeiSeiMaruGoth213_E\.ttf/CJK\.ttf/g" -i ${file}
	sed -e "s/HeiSeiMaruGoth213_E_Bold\.ttf/CJK\.ttf/g" -i ${file}
	sed -e "s/HangulGothMTC_E\.ttf/CJK\.ttf/g" -i ${file}
	sed -e "s/HangulGothMTC_E_Bold\.ttf/CJK\.ttf/g" -i ${file}
	sed -e "s/MHeiM-Big5HKSCS_E\.ttf/CJK\.ttf/g" -i ${file}
	sed -e "s/MHeiM-Big5HKSCS_E_Bold\.ttf/CJK\.ttf/g" -i ${file}
	sed -e "s/MHeiM18030_E\.ttf/CJK\.ttf/g" -i ${file}
	sed -e "s/MHeiM18030_E_Bold\.ttf/CJK\.ttf/g" -i ${file}
done
